/*!
 * @file glgui_energywidget.h
 * @brief Definition of an EnergyWidget, that displays a bar and a Text
*/

#ifndef _GLGUI_ENERGY_WIDGET_H
#define _GLGUI_ENERGY_WIDGET_H

#include "glgui_widget.h"
#include "glgui_bar.h"
#include "glgui_text.h"

namespace OrxGui
{

  //! A class for ...
  class GLGuiEnergyWidget : public GLGuiWidget
  {

    public:
    GLGuiEnergyWidget();
    virtual ~GLGuiEnergyWidget();


    private:
      GLGuiBar                bar;
      GLGuiText               text;

  };
}
#endif /* _GLGUI_ENERGY_WIDGET_H */
